# Class AustraliaPayidPayload

#### Hierarchy

- unknown
  - AustraliaPayidPayload

- Defined in src/protobuf/pb_pb.d.ts:4176
- Defined in src/protobuf/pb_pb.d.ts:4194

#####
Index

### Constructors

constructor

### Methods

getBankAccountName
getExtraInfo
getPayid
serializeBinary
setBankAccountName
setExtraInfo
setPayid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AustraliaPayidPayload(): AustraliaPayidPayload

- #### Returns AustraliaPayidPayload

  Inherited from jspb.Message.constructor

## Methods

### getBankAccountName

- getBankAccountName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4177

### getExtraInfo

- getExtraInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4183

### getPayid

- getPayid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4180

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4186

### setBankAccountName

- setBankAccountName(value: string): AustraliaPayidPayload

- #### Parameters

  - ##### value: string

  #### Returns AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:4178

### setExtraInfo

- setExtraInfo(value: string): AustraliaPayidPayload

- #### Parameters

  - ##### value: string

  #### Returns AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:4184

### setPayid

- setPayid(value: string): AustraliaPayidPayload

- #### Parameters

  - ##### value: string

  #### Returns AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:4181

### toObject

- toObject(includeInstance?: boolean): AustraliaPayidPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AustraliaPayidPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4187

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AustraliaPayidPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:4190

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AustraliaPayidPayload, reader: BinaryReader): AustraliaPayidPayload

- #### Parameters

  - ##### message: AustraliaPayidPayload

  - ##### reader: BinaryReader

  #### Returns AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:4191

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AustraliaPayidPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AustraliaPayidPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4189

### `Static` toObject

- toObject(includeInstance: boolean, msg: AustraliaPayidPayload): AustraliaPayidPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AustraliaPayidPayload

  #### Returns AustraliaPayidPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4188

Generated using TypeDoc